aboutsummaryrefslogtreecommitdiff
path: root/xorg/xorg_video_v4l
diff options
context:
space:
mode:
authorDeposite Pirate2018-09-16 18:48:36 +0200
committerDeposite Pirate2018-09-16 18:48:36 +0200
commitd150a5f3e462fa7fe194a805a4aa0076f4d03ab9 (patch)
treece5e44d69c5f3175bfdbd1e3717b52c5dcca5638 /xorg/xorg_video_v4l
parentf29d3519ce073ec30f99754d93304324f7f26d65 (diff)
Add ports.
Diffstat (limited to 'xorg/xorg_video_v4l')
-rwxr-xr-xxorg/xorg_video_v4l/xorg_video_v4l.SlackBuild89
1 files changed, 89 insertions, 0 deletions
diff --git a/xorg/xorg_video_v4l/xorg_video_v4l.SlackBuild b/xorg/xorg_video_v4l/xorg_video_v4l.SlackBuild
new file mode 100755
index 0000000..a0a3d25
--- /dev/null
+++ b/xorg/xorg_video_v4l/xorg_video_v4l.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=xorg_video_v4l
+VERSION=0.2.0
+ARCH=i586
+BUILD=1
+PKGNAME=xf86-video-v4l
+PKGVER=$VERSION
+BASEDIR=$PKGNAME-$PKGVER
+ARCHIVE=$BASEDIR.tar.bz2
+REPOSITORY=http://xorg.freedesktop.org/archive/individual/driver
+FLAGS="-O2 -march=pentium -mtune=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar jxvf $CWD/$ARCHIVE
+cd $BASEDIR
+CFLAGS=$FLAGS CXXFLAGS=$FLAGS ./configure \
+ --build=${ARCH}-slackware-linux \
+ --enable-static=no \
+ --enable-shared=yes \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+make
+
+# Install
+make install DESTDIR=$PKG
+mkdir -p $PKG/install $PKG/usr/doc/$NAME-$VERSION
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xorg_video_v4l: xorg_video_v4l
+xorg_video_v4l:
+xorg_video_v4l: xf86-video-v4l is part of X11.
+xorg_video_v4l:
+xorg_video_v4l: For more information about the X.Org Foundation (the providers of the
+xorg_video_v4l: X.Org implementation of the X Window System), see their website:
+xorg_video_v4l:
+xorg_video_v4l: http://www.x.org
+xorg_video_v4l:
+xorg_video_v4l:
+xorg_video_v4l:
+EOF
+
+install -m 0644 -g 0 -o 0 ChangeLog \
+ $PKG/usr/doc/$NAME-$VERSION
+
+xz -9f \
+ $PKG/usr/doc/$NAME-$VERSION/ChangeLog
+
+chmod 444 $PKG/usr/man/man?/*.?
+xz -9f $PKG/usr/man/man?/*.?
+
+rm -f \
+ $PKG/usr/lib/*/*/*/*.la
+
+strip --strip-unneeded \
+ $PKG/usr/lib/*/*/*/*.so* || :
+
+chown -R root.root $PKG
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.txz